package ink.wgink.properties.onlyoffice;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName: OnlyOfficeProperties
 * @Description: OnlyOffice配置
 * @Author: wanggeng
 * @Date: 2022/7/25 10:31
 * @Version: 1.0
 */
@Component
@ConfigurationProperties(prefix = "only-office")
public class OnlyOfficeProperties {

    private String server;

    public String getServer() {
        return server == null ? "" : server.trim();
    }

    public void setServer(String server) {
        this.server = server;
    }
}
